MONGOC_CLIENT_ENCRYPTION_GET_KEYS(3)

NAME
mongoc_client_encryption_get_keys - mongoc_client_encryption_get_keys()

SYNOPSIS

mongoc_cursor_t *
mongoc_client_encryption_get_keys (mongoc_client_encryption_t *client_encryption,
                                   bson_error_t *error);

Get all the key documents in the key vault collection.

PARAMETERS

•   client_encryption: A mongoc_client_encryption_t.

•   error: Optional. bson_error_t.

RETURNS

Returns the result of the internal find command if successful. Returns NULL and sets error otherwise.

SEE ALSO:
mongoc_client_encryption_t

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc